Subject: Re: [Softwires] Fw: New Version Notification fordraft-sarikaya-softwire-dslitemobility-00

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 16 Jul 2009 09:36:57 -0700 (PDT)

Hi Nick,

----- Original Message ----
> From: Nick Heatley <[email-masked]>
> To: Behcet Sarikaya <[email-masked]>; [email-masked]
> Sent: Thursday, July 16, 2009 4:48:00 AM
> Subject: RE: [Softwires] Fw: New Version Notification fordraft-sarikaya-softwire-dslitemobility-00
> 
> Hi Behcet,
> Very interesting draft.

Thanks.

> I would like to ask about LTE QoS, and if it is limited by this solution.
> 
> Traffic in tunnels gives the PDN-Gateway a headache as it needs to look at 
> payload traffic within tunnels if it is to police it. There maybe similar issues 
> if the operator needs to perform flow-based charging and packet inspection 
> services on the PDN-Gateway. But I guess this is a general problem of Mobile IP, 
> and not specific to your draft, and could be solved by good design of the 
> combined PDN-Gateway and HA? Excuse my ignorance if this solved already 
> elsewhere.
> 

Sure, good points.

I think we should discuss the two scenarios discussed in Section 3 and 4 separately.
As for MIPv6 (Section 4) the tunnel goes directly to PDN-Gateway and PDN-GW can perform flow based charging, QoS classification. 
However this being normally GTP functionality, I am not sure if any standardization related to MN-HA tunnels have been done.

As for Proxy MIPv6 (Section 3), the whole architecture needs to change. Basically downlink traffic classification needs to done at the MAG (which is S-GW of EPC). Dime WG in IETF defined Diameter QoS application so that QoS classification can be signaled to the MAG using AAA-based policy interface. 

Regarding both section, if you have any suggestions for improvement (any new text that we should add, etc.) you are welcome!

> 
> Now the other issue (which I think is specific) is that the PDN-Gateway is 
> expected to apply traffic flow templates to return traffic to apply QoS policy, 
> which to my knowledge are specified per subscriber. So if this is done on 
> payload, is this functionality lost if the return traffic has the same 
> destination address across all MNs?
> (Conversely, if the traffic flow templates just apply to the tunnel then all 
> return traffic appears to come from the same source and port so QoS 
> differentiation is not possible?)
> 
> If all traffic via the combined PDN-Gateway-HA is applied with the same 
> charging, QoS and security policies then I guess these are less problematic.

Yes I agree.

> 
> Do you see these as problems and are they discussed anywhere?

Newer versions of 23.402 could be the place to look. It is an ongoing work and more is expected to come in this area.

Regards,

Behcet